Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.
Vaše pomoc je stále potřeba!

Autor Téma: Feisty Fawn- nefunkční Beryl  (Přečteno 4438 krát)

R@ptor

  • Návštěvník
  • Příspěvků: 77
    • http://www.forumno.net
Feisty Fawn- nefunkční Beryl
« kdy: 24 Dubna 2007, 18:16:40 »
Zdravím lidičkové :) Mám opět další problém. Byl jsem zvědavý, na Feisty Fawn, a tak jsem upgradnul systém. Po upgradu jsem úspěšně nainstaloval ovladače na grafiku přes Envy. Problém nastal při startu XGL sezení. Všechno se nahrálo (gDesklets, kiba dock...), ale Beryl ne. V oznamovací oblasti mám ikonku Beryl Manageru... Zkouším přepnout Window decoration na Beryl, ale nic. :( Když přepnu na Compiz, tak funguje (jenže bez rámů oken). Já ale chci Beryl, a ne compiz. Ten se mi ale nenahraje, ať dělám cokoli. :( Zkoušel jsem odinstalovat Compiz a reinstalovat Beryl (ne odinstalovat a nainstalovat) přes Synaptic, nic :( Začínám být bezradný.

 Taková menší perlička: V terminálu mám nastavenou průhlednost pozadí... I když mám pod terminálem jakékoli okno, vždy sev pozadí zobrazuje plocha. :(


Xorg mám verze 7.2 (pokud to pomůže). Problém je, že to s tím terminálem dělá i v klasickém Gnome sezení. :/ Nevíte někdo co s tím prosím? :(
« Poslední změna: 07 Prosince 2007, 14:58:34 od Anna Taliánová »
Ubuntu 10.04 Lucid Lynx LTS

Jakub Lucký

  • Závislák
  • ***
  • Příspěvků: 3433
    • Jakub Lucký
Feisty Fawn- Nefunkční Beryl
« Odpověď #1 kdy: 24 Dubna 2007, 20:58:37 »
1) Beryl nejspíš padne, když se ho pokusíte zapnout... Zkuste ho zapnout v terminálu/konzoli a zkouknout výpis

2) To s tím terminálem je normální, gnome-terminal má ve skutečnosti jen "falešnou" průhlednost, která zobrazuje wallpaper
FAQ-Často kladené otázky   Návody(wiki)     
Jakub@Life:~$ Ubuntu změnilo váš život, přejete si změny uložit?(Y/N)?
Děkujeme, že nekrmíte trolly Blogísek  :wq

R@ptor

  • Návštěvník
  • Příspěvků: 77
    • http://www.forumno.net
Feisty Fawn- Nefunkční Beryl
« Odpověď #2 kdy: 24 Dubna 2007, 22:02:44 »
1.) Pod XGL hlásí příkaz BERYL něco jako nenalezen (snad neexistující příkaz). Neměl jsem trpělivost na to, text zkopírovat.... Když nebylo spuštěno akcelerované prostředí, bylo CPU pod XGL pořád na 100%. Příkaz BERYL-MANAGER nevyhlásil žádnou zvláštní chybu a spustil se (GTK Accessibility Module initialized)...

Pod Gnome sezením je to zajímavější. Příkaz BERYL vyhodil toto:

Kód: [Vybrat]
nismo@nismo-desktop:~$ beryl
**************************************************************
* Beryl system compatiblity check                            *
**************************************************************

Detected xserver                                : AIGLX

Checking Display :0.0 ...

Checking for XComposite extension               : failed

No composite extension
beryl: No composite extension
nismo@nismo-desktop:~$
Příkaz Beryl-manager vyhodil to samé, jako pod XGL a spustil se.

Vyvodil jsem z toho, že se mi nenainstalovaly ovladače fglrx, a tudíž bych měl odinstalovat Beryl XGL a nainstalovat verzi pro AIGLX... Řekl bych ovšem, že je to blbost... V souboru xorg.conf mám v sekci Device napsaný driver fglrx. Xorg mi upravovalo samo Envy, při instalaci ovladače, takže tam chyba zřejmě není... V tom případě by se naskytla další možnost. Bylo by i z výpisu z terminálu zřetelné, že instalovaná verze Berylu je AIGLX a driver je fglrx. Je možné, že při upgradu si instalátor nainstaloval verzi Berylu, která je pro standartní driver v Ubuntu? Jinak si to tedy vysvětlit nedokážu... Proč potom ale Beryl na standartním driveru nefungoval? Snad se v tom orientujete lépe, než já. :)


2.) Normální? V Edgy mi to šlo uplně bez problémů :) Nefunguje to až teď... :( A to ještě se obraz plochy při posouvání okna seká...
Ubuntu 10.04 Lucid Lynx LTS

Jakub Lucký

  • Závislák
  • ***
  • Příspěvků: 3433
    • Jakub Lucký
Feisty Fawn- Nefunkční Beryl
« Odpověď #3 kdy: 24 Dubna 2007, 22:15:58 »
1) Tenhle problém je tu snad tisíckrát, hledejte

2) V Dapperu je to jak jsem psal... nevím jak v Edgy, ale myslím že opravdová průhlednost tam není...
FAQ-Často kladené otázky   Návody(wiki)     
Jakub@Life:~$ Ubuntu změnilo váš život, přejete si změny uložit?(Y/N)?
Děkujeme, že nekrmíte trolly Blogísek  :wq

R@ptor

  • Návštěvník
  • Příspěvků: 77
    • http://www.forumno.net
Feisty Fawn- Nefunkční Beryl
« Odpověď #4 kdy: 24 Dubna 2007, 22:34:47 »
Takže vyzkoušet SVN verzi Berylu? :)
Ubuntu 10.04 Lucid Lynx LTS

Smix

  • Návštěvník
  • Příspěvků: 38
Feisty Fawn- Nefunkční Beryl
« Odpověď #5 kdy: 24 Dubna 2007, 22:49:09 »
Pod Feisty po updatu nefunguje "starý" beryl - musí se snížit jádro berylu na ... ;)
http://wiki.beryl-project.org/wiki/Install_Beryl_on_Ubuntu#Ubuntu_7.04_.28Feisty_Fawn.29 :

sudo apt-get update
sudo apt-get install beryl-core=0.2.0~0beryl1
Main (NB1) : Fujitsu-Siemens 1536 NB Intel CoreDuo 2x1.6 Ghz, ATI Mobility Radeon x1400 256 MB, 1024 MB RAM, 120 GB S-ATA (8.04)
Desktop : Intel Celeron 2,6GHz, ATI Radeon 9600 Sapphire Special FireBlade Edition, 512 MB RAM, 200 GB S-ATA (8:04)
NB2 : Fujitsu-Siemens 2040 NB Intel Pentium M 1.6 GHz, Intel integrated GC, 512 MB RAM, 60 GB (7.10)

R@ptor

  • Návštěvník
  • Příspěvků: 77
    • http://www.forumno.net
Feisty Fawn- Nefunkční Beryl
« Odpověď #6 kdy: 24 Dubna 2007, 23:50:47 »
Děkuji moc, to bylo ono. :) Prošel jsem hodně návodů a je pravda, že jsem tam nějakou zmínku o jádru Berylu viděl.. Bylo to ale jen v jednom, a tak jsem se soustředil spíš na to, co měli články společné. Ještě jednou moc děkuji. :D
Ubuntu 10.04 Lucid Lynx LTS

kejml

  • Návštěvník
  • Příspěvků: 60
Feisty Fawn- Nefunkční Beryl
« Odpověď #7 kdy: 04 Května 2007, 19:12:04 »
Vypadá to, že mám stejný problém (Checking for XComposite extension: failed). Zkusil jsem navštívit výše zmíněnou adresu, ale nic jsem tam k tomu nenašel. Různě jsem pátral po fórech i googloval, ale v Linuxu jsem začátečník a nic kloudného jsem z těch fór a návodů nevyčetl.

Zkusil jsem i tyto příkazy,jak uvádíte nahoře :

sudo apt-get update
sudo apt-get install beryl-core=0.2.0~0beryl1

Výsledek je :

sudo apt-get install beryl-core=0.2.0~0beryl1
Čtu seznamy balíků... Hotovo
Vytvářím strom závislostí      
Reading state information... Hotovo
E: Verze '0.2.0~0beryl1' pro 'beryl-core' nebyla nalezena

Jakým jiným způsobem můžu udělat downgrade toho Beryl jádra nebo co dělám špatně, prosím ?

Mohl by mě někdo aspoň trošku nasměrovat, prosím ? Už se blížím ke zdárnému konci v přizpůsobování mého Ubuntu stroje k obrazu svému a Beryl bych moooc rád...Díky za každou radu..

Smix

  • Návštěvník
  • Příspěvků: 38
Feisty Fawn- Nefunkční Beryl
« Odpověď #8 kdy: 04 Května 2007, 21:56:15 »
... jde to i přes synaptic ...
Systém -> Správa -> Správce balíků Synaptic
Hledat -> Beryl
-> Beryl Core -> Označit levou myší ...
Nahoře z menu zvolit Balík -> Upřednostnit verzi
-> zvolit 0.2.0~0beryl1

pokud nebyla nalezena tak bych spíš hledal chybu v (ne)povolených zdrojích ;)
Main (NB1) : Fujitsu-Siemens 1536 NB Intel CoreDuo 2x1.6 Ghz, ATI Mobility Radeon x1400 256 MB, 1024 MB RAM, 120 GB S-ATA (8.04)
Desktop : Intel Celeron 2,6GHz, ATI Radeon 9600 Sapphire Special FireBlade Edition, 512 MB RAM, 200 GB S-ATA (8:04)
NB2 : Fujitsu-Siemens 2040 NB Intel Pentium M 1.6 GHz, Intel integrated GC, 512 MB RAM, 60 GB (7.10)

Michal Janoušek

  • Návštěvník
  • Příspěvků: 21
Feisty Fawn- Nefunkční Beryl
« Odpověď #9 kdy: 05 Května 2007, 12:03:31 »
Nechce se mi zakládat nový thread, tak bych se tady chtěl zeptat na svůj problém. Mám feisty fawn s berylem 0.2.0, vše funguje bez problémů, všechny aplikace se zobrazují normálně až na netbeans. Když je spustím se zapnutým berylem, tak je okno aplikace celé bílé. Když do něj najedu kurzorem, tak se mi mění názvy v hlavičce, takže program funguje jen se nezobrazuje. Co s tím??
Asus P5B VM P965, Intel Pentium-D 2,8GHz, 2*512 MB RAM Corsair dualchannel, Gainward 7600GT, Seagate 320  || Ubuntu 7.10 with functionless Compiz Fusion

kejml

  • Návštěvník
  • Příspěvků: 60
Feisty Fawn- Nefunkční Beryl
« Odpověď #10 kdy: 06 Května 2007, 11:46:58 »
Citace: Smix
... jde to i přes synaptic ...
Systém -> Správa -> Správce balíků Synaptic
Hledat -> Beryl
-> Beryl Core -> Označit levou myší ...
Nahoře z menu zvolit Balík -> Upřednostnit verzi
-> zvolit 0.2.0~0beryl1

pokud nebyla nalezena tak bych spíš hledal chybu v (ne)povolených zdrojích ;)
V Synapticu vyhledám balík beryl-core (0.2.1dfsg+git20070318-0Ubuntu2), označím jej, ale tu volbu "Force version" mám neaktivní. Čím to může být ? Který konkrétní zdroj bych měl ještě přidat, aby mi to šlo ?

Jakub Lucký

  • Závislák
  • ***
  • Příspěvků: 3433
    • Jakub Lucký
Feisty Fawn- Nefunkční Beryl
« Odpověď #11 kdy: 06 Května 2007, 12:28:22 »
Z kterých zdrojů to instalujete:
FAQ-Často kladené otázky   Návody(wiki)     
Jakub@Life:~$ Ubuntu změnilo váš život, přejete si změny uložit?(Y/N)?
Děkujeme, že nekrmíte trolly Blogísek  :wq

uf

  • Aktivní člen
  • *
  • Příspěvků: 163
Feisty Fawn- Nefunkční Beryl
« Odpověď #12 kdy: 06 Května 2007, 14:22:34 »
Citace: jakub.lucky
1) Tenhle problém je tu snad tisíckrát, hledejte
no vyborne! ved ja mam cas..... :/

omg bud tu napis odkaz alebo sem nepis nic...

Vojtěch Trefný

  • Příspěvků: 9307
  • Don Quijote
Feisty Fawn- Nefunkční Beryl
« Odpověď #13 kdy: 06 Května 2007, 14:25:07 »
Citace: uf
Citace: jakub.lucky
1) Tenhle problém je tu snad tisíckrát, hledejte
no vyborne! ved ja mam cas..... :/

omg bud tu napis odkaz alebo sem nepis nic...
No výborně my ho máme ještě víc! To že někdo ví, že se to tu již řešilo, tak to neznamená, že ví, kde to přesně a z rukávu rovnou vysype odkazy...

uf

  • Aktivní člen
  • *
  • Příspěvků: 163
Feisty Fawn- Nefunkční Beryl
« Odpověď #14 kdy: 06 Května 2007, 15:20:19 »
na moderatora by to nebolo odveci.... peace

Jakub Lucký

  • Závislák
  • ***
  • Příspěvků: 3433
    • Jakub Lucký
Feisty Fawn- Nefunkční Beryl
« Odpověď #15 kdy: 06 Května 2007, 15:39:23 »
Citace: uf
na moderatora by to nebolo odveci.... peace
Musíte si uvědomit pár věcí

1) Toto není placená podpora, administrátoři i moderátoři to dělají na svoje vlastní náklady (Ondřej např. platí server a doménu, Vojtech.t tady radí místo toho aby se učil k maturitě, já tu vysedávám každý den místo abych dělal práci na kterou mám drtivý termín a další jsou na tom podobně)
2) Nejsme chodící vyhledávání... Proč máme za vás vyhledávat? To si můžete udělat sám a stejně kvalitně jako bychom to dělali... Pokud napíšete, hledal jsem půl hodiny a nic nenašel (a bude to pravda), pak se nad váma asi někdo slituje, napíše vám jak to hledal (jaké klíčové slova) a odkaz

Navíc to, co dotyčný hledá je tady opravdu v každém čtvrtém threadu...
FAQ-Často kladené otázky   Návody(wiki)     
Jakub@Life:~$ Ubuntu změnilo váš život, přejete si změny uložit?(Y/N)?
Děkujeme, že nekrmíte trolly Blogísek  :wq

uf

  • Aktivní člen
  • *
  • Příspěvků: 163
Feisty Fawn- Nefunkční Beryl
« Odpověď #16 kdy: 06 Května 2007, 15:47:12 »
nemyslel som to v zlom...

ja si to svoje hodiny hladania odsedavam..poznam to

Jakub Lucký

  • Závislák
  • ***
  • Příspěvků: 3433
    • Jakub Lucký
Feisty Fawn- Nefunkční Beryl
« Odpověď #17 kdy: 06 Května 2007, 16:48:39 »
Efektivní hledání na fóru a wiki

do googlu zadat: hledané slova site:forum.ubuntu.cz
nebo: hledané slova site:wiki.ubuntu.cz
FAQ-Často kladené otázky   Návody(wiki)     
Jakub@Life:~$ Ubuntu změnilo váš život, přejete si změny uložit?(Y/N)?
Děkujeme, že nekrmíte trolly Blogísek  :wq

kejml

  • Návštěvník
  • Příspěvků: 60
Feisty Fawn- Nefunkční Beryl
« Odpověď #18 kdy: 06 Května 2007, 18:35:27 »
Citace: jakub.lucky
Z kterých zdrojů to instalujete:
Ve zdrojích mám :

http://archive.canonical.com/ubuntu feisty-commercial main
http://medibuntu.sos-sts.com/repo/ feisty free non-free
http://wine.budgetdedicated.com/apt feisty main
http://ubuntu.beryl-project.org edgy main

U toho zdroje pro beryl jsem si nebyl zrovna moc jistej, jestli je to v pořádku, když je tam edgy a tak jsem ho vypnul ... Po dlouhém pátrání jsem narazil a přidal si tenhle zdroj :

deb http://ubuntu.beryl-project.org feisty main

a pak ještě tento :

deb-src http://ubuntu.beryl-project.org feisty main

Jenže hlásil, že není ověřený a tak jsem přišel na to, jak si přidat klíč :

wget http://ubuntu.beryl-project.org/root@lupine.me.uk.gpg -O- | sudo apt-key add -

Po všech těchhle peripetiích mi to nakonec nechalo vybrat tu volbu : upřednostnit verzi, tak jdu pokračovat v laborování ... Nevím sice vůbec, jak jsem to dokázal, ale zdá se,že jsem zase o krok dál ... Postupoval jsem aspoň trošku správně ? :o)

Díky moc za help !

Jakub Lucký

  • Závislák
  • ***
  • Příspěvků: 3433
    • Jakub Lucký
Feisty Fawn- Nefunkční Beryl
« Odpověď #19 kdy: 06 Května 2007, 18:53:20 »
Ano, vybral jste si správný zdroj, správně jste přidal jeho GPG klíč a vyřešil to...
Výborně...
FAQ-Často kladené otázky   Návody(wiki)     
Jakub@Life:~$ Ubuntu změnilo váš život, přejete si změny uložit?(Y/N)?
Děkujeme, že nekrmíte trolly Blogísek  :wq

kejml

  • Návštěvník
  • Příspěvků: 60
Feisty Fawn- Nefunkční Beryl
« Odpověď #20 kdy: 06 Května 2007, 19:03:06 »
Citace: jakub.lucky
Ano, vybral jste si správný zdroj, správně jste přidal jeho GPG klíč a vyřešil to...
Výborně...
Díky za psychickou i fyzickou podporu ! ;o)

Mám nainstalované to starší Beryl jádro, ale i tak mi to při spuštění vždy vypíše tu stejnou chybu ...

Detected xserver                                : AIGLX

Checking Display :0.0 ...

Checking for XComposite extension               : failed

Jdu pátrat dál...Jen si říkám, jestli to na té kartě ATI X1950 PRO vůbec jde rozjet,abych se tím netrápil zbytečně..
Na všech fórech jsem vždycky spíš našel, jak se někdo ptá, jak to s tou kartou rozjet, než že by popisoval, jak mu to šlape, tak nevím...

Škoda, že jsem neobjevil Ubuntu před tím, než jsem udělal upgrade compu...nikdy bych si ATI nekoupil...a to jsem byl do teď na NVIDII a lákalo mě pro změnu zkusit ATI ... OMG ..

ijacek@amd64desktop

  • Návštěvník
  • Příspěvků: 47
Feisty Fawn- Nefunkční Beryl
« Odpověď #21 kdy: 08 Května 2007, 10:52:46 »
zdravim,

nejspis mate problem s nastavenim xserveru, chcete Xgl ale pritom Vam Beryl detekuje AIGLX

dle meho nemate v /etc/X11/xorg.conf toto :


Section "Extensions"
        Option  "Composite" "0"
EndSection

 :)

viz navod na nastaveni ubuntu po instalaci pro Vas sekce Karty Ati  http://forum.ubuntu.cz/viewtopic.php?id=4153

az se Vam povede Direst rendering: Yes

pokracujte zde

navod Feisty + Beryl + Xgl https://help.ubuntu.com/community/Beryl/ATI/Feisty

nevidim nic spatneho na Atine :o) me Beryl + Xgl funguje na x800 naprosto bezchybne :) na FF i Edgym KDE i gnome

myslim ze to neni o graficke karte ;-)

 

Provoz zaštiťuje spolek OpenAlt.